php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #70648 php5-fpm 5.5.9-1ubuntu4.13 crash dumps
Submitted: 2015-10-06 09:33 UTC Modified: 2021-03-14 04:22 UTC
Votes:1
Avg. Score:3.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:1 (100.0%)
From: quequero at gmail dot com Assigned: cmb (profile)
Status: No Feedback Package: FPM related
PHP Version: 5.5Git-2015-10-06 (Git) OS: Ubuntu 14.04
Private report: No CVE-ID: None
View Add Comment Developer Edit
Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know!
Just going to say 'Me too!'? Don't clutter the database with that please — but make sure to vote on the bug!
Your email address:
MUST BE VALID
Solve the problem:
14 + 17 = ?
Subscribe to this entry?

 
 [2015-10-06 09:33 UTC] quequero at gmail dot com
Description:
------------
After upgrading to PHP 5.5.9-1ubuntu4.12 my php5-fpm keeps crashing on every php page.
This is the stack trace:

#0  _zend_mm_free_int (heap=0x2278300, p=0x7f507bfd6870) at /build/php5-iwKH5X/php5-5.5.9+dfsg/Zend/zend_alloc.c:2104
#1  0x0000000000696846 in sapi_deactivate () at /build/php5-iwKH5X/php5-5.5.9+dfsg/main/SAPI.c:521
#2  0x000000000068e145 in php_request_shutdown (dummy=dummy@entry=0x0) at /build/php5-iwKH5X/php5-5.5.9+dfsg/main/main.c:1817
#3  0x00000000004634d4 in main (argc=<optimized out>, argv=<optimized out>) at /build/php5-iwKH5X/php5-5.5.9+dfsg/sapi/fpm/fpm/fpm_main.c:1961

This is the kernel log after a crash:

kernel: [521353.144766] traps: php5-fpm[13790] general protection ip:6c6781 sp:7fff594eb2a0 error:0 in php5-fpm[400000+800000]

the module is configured as per default by ubuntu.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2021-03-02 12:12 UTC] cmb@php.net
-Status: Open +Status: Feedback -Assigned To: +Assigned To: cmb
 [2021-03-02 12:12 UTC] cmb@php.net
Is this still an issue with any of the actively supported PHP
versions[1]?

[1] <https://www.php.net/supported-versions.php>
 [2021-03-14 04:22 UTC] php-bugs at lists dot php dot net
No feedback was provided. The bug is being suspended because
we assume that you are no longer experiencing the problem.
If this is not the case and you are able to provide the
information that was requested earlier, please do so and
change the status of the bug back to "Re-Opened". Thank you.
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Sat Sep 18 18:03:39 2021 UTC